VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::Job Interface Reference

`Job` interface provides methods Performs backup restore operations More...

Inherited by vmware::appliance::recovery::backup::JobStub.

List of all members.

## Public Member Functions
vmware.appliance.recovery.backup.JobTypes.ReturnResult | Cancel (string id)
| Cancel the backup job.
vmware.appliance.recovery.backup.JobTypes.ReturnResult | Cancel (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel the backup job.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.ReturnResult > | CancelAsync (string id)
| Cancel the backup job.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.ReturnResult > | CancelAsync (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel the backup job.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Create (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece)
| Initiate backup.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Create (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Initiate backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | CreateAsync (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece)
| Initiate backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | CreateAsync (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Initiate backup.
global::System.Collections.Generic.List < string > | List ()
| Get list of backup jobs.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of backup jobs.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Get list of backup jobs.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of backup jobs.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Get (string id)
| See backup job progress/result.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Get (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| See backup job progress/result.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | GetAsync (string id)
| See backup job progress/result.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | GetAsync (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| See backup job progress/result.

## Detailed Description

`Job` interface provides methods Performs backup restore operations

## Member Function Documentation

vmware.appliance.recovery.backup.JobTypes.ReturnResult vmware::appliance::recovery::backup::Job::Cancel | ( | string | id | ) |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

vmware.appliance.recovery.backup.JobTypes.ReturnResult vmware::appliance::recovery::backup::Job::Cancel | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.ReturnResult> vmware::appliance::recovery::backup::Job::CancelAsync | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.ReturnResult> vmware::appliance::recovery::backup::Job::CancelAsync | ( | string | id | ) |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::Job::Create | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece | ) |

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::Job::Create | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::Job::CreateAsync | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::Job::CreateAsync | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece | ) |

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::Job::Get | ( | string | id | ) |

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::Job::Get | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::Job::GetAsync | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::Job::GetAsync | ( | string | id | ) |

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Collections.Generic.List<string> vmware::appliance::recovery::backup::Job::List | ( |  | ) |

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Collections.Generic.List<string> vmware::appliance::recovery::backup::Job::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::recovery::backup::Job::ListAsync | ( |  | ) |

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implemented in vmware::appliance::recovery::backup::JobStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::recovery::backup::Job::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implemented in vmware::appliance::recovery::backup::JobStub.

The documentation for this interface was generated from the following file:

- backup/Job.cs